## org.apache.xalan.templates
Class AVTPartSimple

    java.lang.Object
      org.apache.xalan.templates.AVTPart
          org.apache.xalan.templates.AVTPartSimple

All Implemented Interfaces:
  java.io.Serializable, XSLTVisitable

    public class AVTPartSimple

extends AVTPart

Simple string part of a complex AVT.

See Also:
  Serialized Form
Usage:
  **For internal use only**

Constructor Summary
`AVTPartSimple(java.lang.String val)` Construct a simple AVT part.

Method Summary
`void` `callVisitors(XSLTVisitor visitor)` This will traverse the heararchy, calling the visitor for each member.
`void` `evaluate(XPathContext xctxt, FastStringBuffer buf, int context, PrefixResolver nsNode)` Write the value into the buffer.
`void` `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`java.lang.String` `getSimpleString()` Get the AVT part as the original string.

Methods inherited from class org.apache.xalan.templates.AVTPart
`canTraverseOutsideSubtree, setXPathSupport`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartSimple

    public AVTPartSimple(java.lang.String val)

  Construct a simple AVT part.

  Parameters:
    `val` - A pure string section of an AVT.

Method Detail

### getSimpleString

    public java.lang.String getSimpleString()

  Get the AVT part as the original string.

  Specified by:
    `getSimpleString` in class `AVTPart`
  Returns:
    the AVT part as the original string.

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Specified by:
    `fixupVariables` in class `AVTPart`
  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).

### evaluate

    public void evaluate(XPathContext xctxt,
                         FastStringBuffer buf,
                         int context,
                         PrefixResolver nsNode)

  Write the value into the buffer.

  Specified by:
    `evaluate` in class `AVTPart`
  Parameters:
    `xctxt` - An XPathContext object, providing infomation specific to this invocation and this thread. Maintains SAX state, variables, error handler and so on, so the transformation/XPath object itself can be simultaneously invoked from multiple threads.
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).

### callVisitors

    public void callVisitors(XSLTVisitor visitor)

  Description copied from interface: `XSLTVisitable`
  This will traverse the heararchy, calling the visitor for each member. If the called visitor method returns false, the subtree should not be called.

  Parameters:
    `visitor` - The visitor whose appropriate method will be called.
  See Also:
    `XSLTVisitable.callVisitors(XSLTVisitor)`

Copyright © 2005 Apache XML Project. All Rights Reserved.